<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
M-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="M-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-10.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-12.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-11.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-11.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_M_"><!-- --></A><H2>
<B>M</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/network/server/ServerCommunication.html#MAGIC_NUMBER"><B>MAGIC_NUMBER</B></A> - 
Static variable in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ServerCommunication.html" title="class in org.bitfountain.network.server">ServerCommunication</A>
<DD>Magic number a client must send to the server before doing anything else.
<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html#main(java.lang.String[])"><B>main(String[])</B></A> - 
Static method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A>
<DD>Client application entry point.
<DT><A HREF="../org/bitfountain/gui/MimeTypes.html#main(java.lang.String[])"><B>main(String[])</B></A> - 
Static method in class org.bitfountain.gui.<A HREF="../org/bitfountain/gui/MimeTypes.html" title="class in org.bitfountain.gui">MimeTypes</A>
<DD>Entry point.
<DT><A HREF="../org/bitfountain/gui/notifications/SlideInTest.html#main(java.lang.String[])"><B>main(String[])</B></A> - 
Static method in class org.bitfountain.gui.notifications.<A HREF="../org/bitfountain/gui/notifications/SlideInTest.html" title="class in org.bitfountain.gui.notifications">SlideInTest</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/server/ServerApp.html#main(java.lang.String[])"><B>main(String[])</B></A> - 
Static method in class org.bitfountain.gui.server.<A HREF="../org/bitfountain/gui/server/ServerApp.html" title="class in org.bitfountain.gui.server">ServerApp</A>
<DD>Application entry point.
<DT><A HREF="../org/bitfountain/math/reedsolomon/test/EncodeDecodeTest.html#main(java.lang.String[])"><B>main(String[])</B></A> - 
Static method in class org.bitfountain.math.reedsolomon.test.<A HREF="../org/bitfountain/math/reedsolomon/test/EncodeDecodeTest.html" title="class in org.bitfountain.math.reedsolomon.test">EncodeDecodeTest</A>
<DD>Entry point of the test case.
<DT><A HREF="../org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client"><B>MainWindow</B></A> - Class in <A HREF="../org/bitfountain/gui/client/package-summary.html">org.bitfountain.gui.client</A><DD>This is the main class of the GUI, the class of the main window.<DT><A HREF="../org/bitfountain/gui/client/MainWindow.html#MainWindow(org.bitfountain.gui.client.ClientApp)"><B>MainWindow(ClientApp)</B></A> - 
Constructor for class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">MainWindow</A>
<DD>Create a new main window.
<DT><A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math"><B>Matrix</B></A> - Class in <A HREF="../org/bitfountain/math/package-summary.html">org.bitfountain.math</A><DD>A simple 2D matrix, on which we do all kind of operations
 in a given Galois Field.<DT><A HREF="../org/bitfountain/math/Matrix.html#Matrix(int, int, org.bitfountain.math.reedsolomon.GaloisField)"><B>Matrix(int, int, GaloisField)</B></A> - 
Constructor for class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Creates a new Matrix.
<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html#MAX_PACKET_SIZE"><B>MAX_PACKET_SIZE</B></A> - 
Static variable in class org.bitfountain.math.reedsolomon.encoding.<A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A>
<DD>Max packet size, in bytes.
<DT><A HREF="../org/bitfountain/gui/client/MenuBar.html" title="class in org.bitfountain.gui.client"><B>MenuBar</B></A> - Class in <A HREF="../org/bitfountain/gui/client/package-summary.html">org.bitfountain.gui.client</A><DD>Menu bar with items such as 'Open File', etc.<DT><A HREF="../org/bitfountain/gui/client/MenuBar.html#MenuBar(org.bitfountain.gui.client.EventHandler)"><B>MenuBar(EventHandler)</B></A> - 
Constructor for class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/MenuBar.html" title="class in org.bitfountain.gui.client">MenuBar</A>
<DD>Create a new menu bar.
<DT><A HREF="../org/bitfountain/gui/MimeTypes.html" title="class in org.bitfountain.gui"><B>MimeTypes</B></A> - Class in <A HREF="../org/bitfountain/gui/package-summary.html">org.bitfountain.gui</A><DD>Utility class to figure out a file's content type from its extension.<DT><A HREF="../org/bitfountain/gui/MimeTypes.html#MimeTypes()"><B>MimeTypes()</B></A> - 
Constructor for class org.bitfountain.gui.<A HREF="../org/bitfountain/gui/MimeTypes.html" title="class in org.bitfountain.gui">MimeTypes</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/Matrix.html#mul(org.bitfountain.math.Vector)"><B>mul(Vector)</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Multiply this matrix with a vector.
<DT><A HREF="../org/bitfountain/math/Matrix.html#mul(int[], int[])"><B>mul(int[], int[])</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Multiply a vector with this matrix.
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#mul(int, int)"><B>mul(int, int)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>Multiply a and b in this galois field.
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#mulTable"><B>mulTable</B></A> - 
Variable in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>Precomputed add and mul tables.
<DT><A HREF="../org/bitfountain/math/ArrayUtils.html#multiCopy(int[][], int[][])"><B>multiCopy(int[][], int[][])</B></A> - 
Static method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/ArrayUtils.html" title="class in org.bitfountain.math">ArrayUtils</A>
<DD>Copy a multi-dimensional array into another one.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-10.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-12.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-11.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-11.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
